# it wants a module from mod_perl-1.x
%define _requires_exceptions perl(Apache::RegistryNG)

%define realname Apache-Filter

Summary:	%{realname} module for perl
Name:		perl-%{realname}
Version:	1.024
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Apache/%{realname}-%{version}.tar.bz2
Patch0:		Apache-Filter-1.024-mod_perl2.diff
Requires:	apache-mod_perl
BuildRequires:	apache-mod_perl 
BuildRequires:  perl-devel
#BuildRequires:	perl-Apache-Test
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
%{realname} module for perl : Alter the output of previous handlers.

%prep

%setup -q -n %{realname}-%{version}
%patch0 -p0

%build
APACHE=%{_sbindir}/httpd perl Makefile.PL INSTALLDIRS=vendor <<EOF


EOF
make

#make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}

%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Apache
%{_mandir}/*/*





%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.024-5mdv2009.0
+ Revision: 241147
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.024-3mdv2007.0
+ Revision: 73195
- import perl-Apache-Filter-1.024-3mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.024-3mdk
- Fix SPEC Using perl Policies
	- Source URL

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.024-2mdk
- fix deps with P0 (fixes only mod_perl2 dependencies)
- filter out one mod_perl-1.x dep

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.024-1mdk
- New release 1.024

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.023-1mdk
- 1.023

* Tue Jun 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.022-3mdk
- Fix build with new httpd path

